org.mariadb.jdbc.internal.mysql

## Class MySQLProtocol.PrepareResult

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.MySQLProtocol.PrepareResult

Enclosing class:
  MySQLProtocol

    public class MySQLProtocol.PrepareResult
    extends Object

### Field Summary

Fields
`MySQLColumnInformation[]` `columns`
`MySQLColumnInformation[]` `parameters`
`int` `statementId`

### Constructor Summary

Constructors
Constructor and Description
`PrepareResult(int statementId, MySQLColumnInformation[] columns, MySQLColumnInformation[] parameters)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statementId

    public int statementId

#### columns

    public MySQLColumnInformation[] columns

#### parameters

    public MySQLColumnInformation[] parameters

### Constructor Detail

#### PrepareResult

    public PrepareResult(int statementId,
                         MySQLColumnInformation[] columns,
                         MySQLColumnInformation[] parameters)